<template>
  <v-form>
    <v-container>
      <v-text-field label="Product Name" readonly :value="product.name"></v-text-field>
      <v-textarea label="Description" readonly filled auto-grow :value="product.description"></v-textarea>
      <v-text-field label="Price" readonly :value="product.offers.price"></v-text-field>
      <v-btn @click="gotoList()">List</v-btn>
    </v-container>
  </v-form>
</template>

<script>
import axios from 'axios';

export default {
  name: 'Detail',
  data: () => ({
    sku: '',
    product: []
  }),
  methods: {
    getProduct () {
      axios.get('http://localhost:8990/api/product/' + this.$route.params.sku)
        .then(response => {
          this.product = response.data
        })
        .catch(error => {
          console.log('error: ' + error)
        })
    },
    gotoList() {
      window.location = '/list'
    }
  },
  created() {
    this.getProduct()
  }
}
</script>